Skip to main content
`Ctrl`+`K`

# VecCreateNest

Creates a new vector containing several nested subvectors, each stored separately

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecCreateNest(MPI_Comm comm, PetscInt nb, IS is[], Vec x[], Vec *Y)

Collective

## Input Parameters

- comm - Communicator for the new `Vec`

- nb - number of nested blocks

- is - array of `nb` index sets describing each nested block, or `NULL` to pack subvectors contiguously

- x - array of `nb` sub-vectors

## Output Parameter

- Y - new vector

## See Also

`VECNEST`, Vectors and Parallel Data, `Vec`, `VecType`, `VecCreate()`, `MatCreateNest()`, `DMSetVecType()`

## Level

advanced

## Location

src/vec/vec/impls/nest/vecnest.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages